<script setup>

import {ref} from "vue";
import {useFetchBooks} from "@/stores/models/book/getBooks";
import {useRemoveBook} from "@/stores/models/book/removeBook";


let id = ref()


function remove(id) {
    useRemoveBook().deleteBook(id)
        .then(() => {
            useFetchBooks().fetchBooks('')
        })
}
</script>

<template>
    <div style="min-height: 70vh">
        <div class="row">

            <table class="table border">
                <thead>
                <tr>
                    <th scope="col">ID</th>
                    <th scope="col">Kitob nomi</th>
                    <th scope="col">O'chirish</th>
                </tr>
                </thead>
                <tbody>
                <tr v-for="book in useFetchBooks().getBooks" :key="book.id">
                    <th>{{ book.id }}</th>
                    <td>{{ book.name }}</td>
                    <td>
                        <span @click="remove(book.id)" class="cursor text-danger">Delete</span>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </div>
</template>

<style scoped>
.cursor {
    cursor: pointer;
}
</style>